> ## Documentation Index
> Fetch the complete documentation index at: https://docs.benzinga.com/llms.txt
> Use this file to discover all available pages before exploring further.

# プレスリリース

> このREST APIは、プレスリリースの構造化データを返します。最適なパフォーマンスを得るには、ティッカー、日付、チャネルなどのパラメータを使用してクエリ範囲を絞り込むか、差分取得にはupdatedSinceを使用してください。ページオフセットは0～100000に制限されています。

<ResponseExample>
  ```json Response (200 OK) theme={null}
  [
    {
      "id": 36444586,
      "author": "GlobeNewswire",
      "created": "Mon, 01 Jan 2024 13:35:14 -0400",
      "updated": "Mon, 01 Jan 2024 13:35:15 -0400",
      "title": "Company XYZ Announces Q4 2023 Earnings Results and Strategic Initiatives",
      "teaser": "",
      "body": "",
      "url": "https://www.benzinga.com/pressreleases/24/01/g36444586/company-xyz-announces-q4-2023-earnings-results-and-strategic-initiatives",
      "image": [
        {
          "size": "thumb",
          "url": "https://cdn.benzinga.com/files/imagecache/250x187xUP/images/story/2023/press_release_image.jpeg"
        },
        {
          "size": "small",
          "url": "https://cdn.benzinga.com/files/imagecache/1024x768xUP/images/story/2023/press_release_image.jpeg"
        },
        {
          "size": "large",
          "url": "https://cdn.benzinga.com/files/imagecache/2048x1536xUP/images/story/2023/press_release_image.jpeg"
        }
      ],
      "channels": [
        {
          "name": "Press Releases"
        }
      ],
      "stocks": [
        {
          "name": "AAPL",
          "cusip": "037833100",
          "isin": "US0378331005",
          "exchange": "NASDAQ"
        }
      ],
      "tags": [
        {
          "name": "Press Release"
        }
      ]
    }
  ]
  ```

  ```json Response (401 Unauthorized) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "auth_failed",
        "id": "unauthorized",
        "value": "Invalid or missing authentication token"
      }
    ]
  }
  ```

  ```json Response (404 Not Found) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "no_data_found",
        "id": "not_found",
        "value": "No data found for the specified parameters"
      }
    ]
  }
  ```

  ```json Response (500 Internal Server Error) theme={null}
  {
    "ok": false,
    "errors": [
      {
        "code": "internal_server_error",
        "id": "server_error",
        "value": "An unexpected error occurred while processing your request"
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml ja/openapi/press-releases_api.spec.yml GET /api/v2/news
openapi: 3.0.0
info:
  contact: {}
  description: ベアラートークン認証
  title: Press Releases v2
  version: 2.0.0
servers:
  - url: https://api.benzinga.com
    description: PROD
security: []
paths:
  /api/v2/news:
    get:
      tags:
        - Press Releases
      summary: プレスリリース
      description: >-
        このREST
        APIは、プレスリリースの構造化データを返します。最適なパフォーマンスを得るには、ティッカー、日付、チャネルなどのパラメータを使用してクエリ範囲を絞り込むか、差分取得にはupdatedSinceを使用してください。ページオフセットは0～100000に制限されています。
      operationId: get-press-releases
      parameters:
        - description: 返却形式を指定
          in: header
          name: accept
          required: true
          schema:
            type: string
            enum:
              - application/json
              - application/xml
            default: application/json
        - description: >-
            ページオフセット。最適化、パフォーマンス、および技術上の理由により、ページオフセットは0～100000に制限されています。日付などの他のパラメータでクエリ結果を絞り込んでください。
          in: query
          name: page
          schema:
            type: integer
            default: 0
        - description: 返される結果数。最大100件。
          in: query
          name: pageSize
          schema:
            type: integer
            maximum: 100
            default: 15
        - description: 見出しのみ（headline）、見出し＋要約（abstract）、または見出し＋本文全文（full）を指定
          in: query
          name: displayOutput
          schema:
            type: string
            enum:
              - full
              - abstract
              - headline
            default: headline
        - description: 'ニュースをクエリする日付。dateFromとdateToが同じ場合の省略指定です。形式: yyyy-mm-dd'
          in: query
          name: date
          schema:
            type: string
        - description: 'クエリ開始日。公開日でソートされます。形式: yyyy-mm-dd'
          in: query
          name: dateFrom
          schema:
            type: string
        - description: 'クエリ終了日。公開日でソートされます。形式: yyyy-mm-dd'
          in: query
          name: dateTo
          schema:
            type: string
        - description: 取得およびソートに使用する最終更新のUnixタイムスタンプ（UTC）
          in: query
          name: updatedSince
          schema:
            type: integer
        - description: 取得およびソートに使用する最終公開のUnixタイムスタンプ（UTC）
          in: query
          name: publishedSince
          schema:
            type: integer
        - description: >-
            結果の並べ替えを制御できます。デフォルトはcreated, DESCです。形式: field:direction。ソート項目: id,
            created, updated。ソート順: asc（昇順）、desc（降順）
          in: query
          name: sort
          schema:
            type: string
            enum:
              - id:asc
              - id:desc
              - created:asc
              - created:desc
              - updated:asc
              - updated:desc
        - description: 'カンマ区切りの1つ以上のISIN（国際証券識別番号）。最大50件。形式: csv'
          in: query
          name: isin
          schema:
            type: string
        - description: 'カンマ区切りの1つ以上のCUSIP。最大50件。ライセンス契約が必要です。形式: csv'
          in: query
          name: cusips
          schema:
            type: string
        - description: 'カンマ区切りの1つ以上のティッカーシンボル。最大50件。形式: csv'
          in: query
          name: tickers
          schema:
            type: string
        - description: 'カンマ区切りの1つ以上のプライマリティッカーシンボル。プライマリティッカーへの関連付けのみで絞り込みます。形式: csv'
          in: query
          name: primaryTickers
          schema:
            type: string
        - description: 'カンマ区切りの1つ以上のチャネル名またはID。形式: csv'
          in: query
          name: channels
          schema:
            type: string
        - description: 'カンマ区切りの1つ以上の単語またはフレーズ。優先順位に従ってタイトル、タグ、本文を検索します。形式: csv'
          in: query
          name: topics
          schema:
            type: string
        - description: topicsクエリの論理演算子。すべてのtopicsを必須にするには'and'、いずれかのtopicを必須にするには'or'を使用します
          in: query
          name: topic_group_by
          schema:
            type: string
            enum:
              - and
              - or
            default: or
        - description: 'カンマ区切りの1人以上の著者。形式: csv'
          in: query
          name: authors
          schema:
            type: string
        - description: APIレスポンスの形式を指定します
          in: query
          name: format
          schema:
            type: string
            enum:
              - text
        - description: 重要度で絞り込みます
          in: query
          name: importance
          schema:
            type: string
            enum:
              - low
              - medium
              - high
        - description: '地域で絞り込みます（例: カナダ向けコンテンツの場合は「ca」または「canada」）'
          in: query
          name: region
          schema:
            type: string
      responses:
        '200':
          description: 成功
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/api.NewsItem'
                type: array
            text/xml:
              schema:
                items:
                  $ref: '#/components/schemas/api.NewsItem'
                type: array
        '400':
          description: 無効または未指定のクエリパラメータ
          content:
            application/json:
              schema:
                type: string
            text/xml:
              schema:
                type: string
        '499':
          description: リクエストコンテキストがキャンセルされました
          content:
            application/json:
              schema:
                type: string
            text/xml:
              schema:
                type: string
        '500':
          description: 内部エラー
          content:
            application/json:
              schema:
                type: string
            text/xml:
              schema:
                type: string
      security:
        - ApiKeyAuth: []
components:
  schemas:
    api.NewsItem:
      description: 完全なメタデータを含むニュース記事アイテム
      properties:
        author:
          example: Benzinga Newsdesk
          type: string
        body:
          type: string
        channels:
          items:
            $ref: '#/components/schemas/api.ChannelTag'
          type: array
        created:
          example: Wed, 17 May 2017 14:20:15 -0400
          type: string
        id:
          example: 123456
          type: integer
        image:
          items:
            $ref: '#/components/schemas/api.Image'
          type: array
        original_id:
          type: integer
        stocks:
          items:
            $ref: '#/components/schemas/api.Stock'
          type: array
        tags:
          items:
            $ref: '#/components/schemas/api.ChannelTag'
          type: array
        teaser:
          type: string
        title:
          example: Apple Announces New iPhone
          type: string
        updated:
          example: Wed, 17 May 2017 14:20:15 -0400
          type: string
        url:
          example: https://www.benzinga.com/news/123456
          type: string
      type: object
    api.ChannelTag:
      description: チャネル名またはタグ名
      properties:
        name:
          example: Technology
          type: string
      type: object
    api.Image:
      description: サイズとurlを含む記事画像
      properties:
        size:
          example: large
          type: string
        url:
          example: https://cdn.benzinga.com/files/images/story/2024/example.jpg
          type: string
      type: object
    api.Stock:
      description: ティッカーシンボルと識別子を含む株式情報
      properties:
        cusip:
          example: '037833100'
          type: string
        exchange:
          example: NASDAQ
          type: string
        isin:
          example: US0378331005
          type: string
        name:
          example: AAPL
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      description: APIキー認証。APIキーをクエリパラメータとして指定してください。
      in: query
      name: token
      type: apiKey

````